org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Class DropDownMergeMenuAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.DropDownMergeMenuAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.action.IMenuCreator

    public class DropDownMergeMenuAction
    extends org.eclipse.jface.action.Action
    implements org.eclipse.jface.action.IMenuCreator

Action that manages the dropdown menu that allows to show the consequences of an accept or a reject.

Since:
  3.0

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`DropDownMergeMenuAction(IEMFCompareConfiguration configuration, EnumSet<MergeMode> previewModes)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addActionToMenu(org.eclipse.swt.widgets.Menu parent, org.eclipse.jface.action.IAction action)` Add action to the given menu.
`void` `dispose()`
`org.eclipse.swt.widgets.Menu` `getMenu(org.eclipse.swt.widgets.Control parent)`
`org.eclipse.swt.widgets.Menu` `getMenu(org.eclipse.swt.widgets.Menu parent)`
`void` `mergePreviewModeChange(IMergePreviewModeChange event)`
`void` `run()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DropDownMergeMenuAction

    public DropDownMergeMenuAction(IEMFCompareConfiguration configuration,
                                   EnumSet<MergeMode> previewModes)

Constructor.

Parameters:
  `configuration` - The compare configuration object.

### Method Detail

#### mergePreviewModeChange

    public void mergePreviewModeChange(IMergePreviewModeChange event)

#### run

    public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`
See Also:
  `Action.run()`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.action.IMenuCreator`
See Also:
  `IMenuCreator.dispose()`

#### getMenu

    public org.eclipse.swt.widgets.Menu getMenu(org.eclipse.swt.widgets.Menu parent)

Specified by:
  `getMenu` in interface `org.eclipse.jface.action.IMenuCreator`
See Also:
  `IMenuCreator.getMenu(org.eclipse.swt.widgets.Menu)`

#### getMenu

    public org.eclipse.swt.widgets.Menu getMenu(org.eclipse.swt.widgets.Control parent)

Specified by:
  `getMenu` in interface `org.eclipse.jface.action.IMenuCreator`
See Also:
  `IMenuCreator.getMenu(org.eclipse.swt.widgets.Control)`

#### addActionToMenu

    protected void addActionToMenu(org.eclipse.swt.widgets.Menu parent,
                                   org.eclipse.jface.action.IAction action)

Add action to the given menu.

Parameters:
  `parent` - the given menu.
  `action` - the given action.